
body {
    margin: 0;
    padding: 0;
    color: #000;
    font-family: "Inter", sans-serif;
    font-weight: 400;
    font-style: normal;
    box-sizing: border-box;
    background-color: white;
    font-size: 14px;
}

nav {
    display: flex;
    justify-content: space-between;
    background-color: #ffffff;
    align-items: center;
    padding: 8px 40px;
    border-bottom: 1.2px solid #d3d3d3;
    font-size: 14px;
    flex-wrap: wrap;
}

.nav-logo {
    max-width: 100%;
    height: auto;
}

.mobile-menu {
  display: none;
  flex-direction: column;
  gap: 5px;
  cursor: pointer;
}

.mobile-menu div {
  width: 25px;
  height: 3px;
  background-color: #000;
  transition: all 0.3s ease;
}

.right-navs, .toggle-navs, .nav-flex, .nav-flex-center {
    display: flex;
    align-items: center;
}

.toggle-navs div {
    padding: 10px 10px;
    cursor: pointer;
}

.toggle-navs div:hover {
    background-color: #ebebeb;
    color: rgb(0, 0, 0);
    transition: 0.1s ease-in;
    border-radius: 8px;
}

.results-section {
  padding: 0 90px;
  width: 100%;
  overflow: hidden;
}

.content-row {
    display: flex;
    max-width: 1200px;
    width: 90%;
    justify-content: center;
}



.main-card {
    background-color: white;
    border-radius: 17px;
    margin: 50px 0 50px 0;
    padding: 0;

}

.title {
    font-weight: 500;
    font-size: 25px;
    margin: 0;
    padding: 0;
}

.subtitle {
    font-size: 13px;
    color: #222222;
}


.form-row, .form-row-bottom {
    display: flex;
    gap: 20px;
}

.article-input, .article-input-wide, .geo-container {
    display: flex;
    flex-direction: column;
    position: relative;
}

#page-1{
  display: block;
}

#page-2 {
  display: none;
}
.article-input label {
    padding: 10px 0;
    font-weight: 500;
    display: block;

}

textarea {
    width: 378px;
    height: 17px;
    padding: 11px;
    border-radius: 4px;
    border: 1px solid #d6d6d6;
    outline: none;
    overflow: hidden;
    font-family: "Inter", sans-serif;
    font-size: 14px;
    font-weight: 400;
    color: #000;
}


.article-input input,
.geo-input, #button-page-1, #button-page-2 {
    border: 1px solid #d6d6d6;
    padding: 11px 11px 11px 11px;
    border-radius: 4px;
    outline: none;
    background-color: white;
}

#button-page-1, #button-page-2{
  width: 100%;
  cursor: pointer;
  font-size: 12px;
}
#button-page-1:hover,
#button-page-2:hover {
  border: 1.3px solid #255eda;
  background-color: rgba(210, 223, 249, 0.5);
  transition: border 0.2s ease-in-out, background-color 0.2s ease-in-out;
}

#button-page-1.active, #button-page-2.active {
  border: 1.3px solid #255eda;
  background-color: rgba(210, 223, 249, 0.5);
}

#button-page-1.first-button {
  border: 1.3px solid #255eda;
  background-color: rgba(210, 223, 249, 0.5);
}


.geo-input {
    cursor: pointer;
}

.article-button,
#reset-btn {
    cursor: pointer;
    background-color: #3366cc;
    color: white;
    border-radius: 4px;
    font-weight: 500;
    width: 100%;
    height: 40px;
    border: none;
}

.progress-bar {
  margin-bottom: 5px;
  position: relative;
  background: #e0e0e0;
  border-radius: 6px;
  height: 9px;
}

.progress-bar-percentage {
  background-color: #4676de;
  height: 9px;
  border-radius: 6px;
  transition: width 0.3s;
}

.progress-percentage {
  font-size: 11px;
  margin-left: 4px;
}


.button-align-bottom {
    display: flex;
    align-items: end;
}

.button-margin-top {
    margin-top: 15px;
}

#category-suggestions {
    border: 1px solid #d6d6d6;
    display: none;
    background: #fff;
    cursor: pointer;
    position: absolute;
    z-index: 1000;
    top: 100%;
    border-radius: 4px;
    transition: background 0.2s;
    width: 100%;
}

.filters {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 8px;
  margin: 16px 0;
  flex-direction: row;
}

.filter-label {
  font-weight: 500;
}

.filters > * {
  display: flex;
  align-items: center;
}

table.dataTable {
    width: 100%;
    border-collapse: collapse;
    font-size: 12px;
}

.top-datatable {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
  flex-wrap: wrap;
}

.top-datatable .dataTables_length,
.top-datatable .dataTables_filter {
  margin: 0;
}


.dataTables_wrapper {
  flex: 1 1 auto;
}


.view-button {
  border: none;
  background: none;
  color: #1e55cd;
  text-decoration: underline;
  outline: none;
  cursor: pointer;
}

#resultsContainer {
    width: 100%;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
  display: none;

}

#progress-message, #category-message {
  text-align:center;
  margin:10px 0;
}

#progress-message {
  font-weight: bold;
}

#category-message {
  color: red;
}

table.dataTable {
  width: 100%;
}

.results-section-container,
.dataTables_wrapper {
  min-width: 100%;
}

table.dataTable th, table.dataTable td {
    padding: 8px 10px;
    border-bottom: 1px solid #ddd;
    text-align: left;
}


table.dataTable thead th {
    background-color: #f2f2f2;
    font-size: 14px;
}

#resultsTable thead {
       display: table-header-group !important;
       visibility: visible !important;
}

.reset-wrapper {
    display: flex;
    justify-content: flex-end;
}

#reset-btn {
    display: none;
    margin: 8px 0;
    height: 40px;
    width: 190px;
}


.toggle-btn {
  background: none;
  border: none;
  color: #3366cc;
  cursor: pointer;
  font-size: 13px;
  padding: 0;
}

input[type="checkbox"] {
  accent-color: #4676de;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.edit-text {
  color: #255eda;
  text-decoration: none;
}

.filter-btn {
  border: none;
  padding: 14px;
  cursor: pointer;
  font-size: 12px;
  color: black;
  width: 100%;
  flex: 1;
}

#resultsTable tbody tr {
  cursor: pointer;
}
.results-section-container {
  width: 100%;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
    display: flex;
  margin: 0 auto;
}
#resultsTable {
  width: 100%;
  min-width: 800px;
  border-collapse: collapse;
}


#resultsTable tbody tr.shown {
  background-color: #f9f9f9;
}

.filter-scrollable {
  max-height: 200px;
  overflow-y: auto;
  padding-bottom: 40px;
}

.filter-content-container.all-button {
  position: sticky;
  bottom: 0;
  background: #fff;
  border-top: 1px solid #ddd;
  padding: 6px 0;
  z-index: 10;
  display: flex;
  justify-content: center;

}

.filter-content-container.all-button:hover{
  background-color: white;
}

.action-button {
  border: none;
  cursor: pointer;
  padding: 5px;
}

.action-button:hover {
  background-color: #7f8285;
  color: white;
}

.inner-section-box {
  background-color: #ffffff;
  border-radius: 8px;
  padding: 20px;
  border: 1.5px solid #ddd;
}

.section-box ul {
  margin: 5px 0 0 18px;
}

.details-box {
  margin-top: 8px;
  padding: 10px;
  background: #f8f9fa;
  border-left: 3px solid #3366cc;
  font-size: 13px;
  line-height: 1.6;
}


.filter-dropdown {
     display: none;
    position: relative;
}

.filter-toggle {

      border-radius: 17px;
  padding: 8px;
  background: #ffffff;
  cursor: pointer;
  font-size: 12px;
  border: 1px solid black;
  color: black;
}

.filter-toggle-all {
  border-radius: 17px;
  padding: 8px;
  background: #3366cc;
  cursor: pointer;
  font-size: 12px;
  border: none;
  color: rgb(255, 255, 255);
  width: 150px;
  text-align: center;
}

.filter-toggle.active {
    background: #255eda;
    color: #fff;
    border: 1px solid white;
}

.filter-content-container {
  display: flex;
  padding: 0 10px;
  height: 100%;
  flex-direction: row;
}
.filter-content-container:hover{
  background-color: #f3f3f3;
  cursor: pointer;
}


.filters-container {
  padding: 20px 90px;
  display: flex;
  flex-direction: row;
  gap: 20px;
}
.filter-content {
    display: none;
    position: absolute;
    background: #fff;
    border: 1px solid #ddd;
    border-radius: 4px;
    top: 35px;
    left: 0;
    min-width: 200px;
    z-index: 1000;
    max-height: 300px;
    overflow-y: auto;
}

.dataTables_filter input:focus {
  outline: none;
  box-shadow: none;
}

.article-row {
  cursor: pointer;
}
.article-row:hover {
  background: #f0f0f0;
}

.details-row td {
  background: #fafafa;
  padding: 12px;
  font-size: 12px;
  line-height: 1.4;
}

.arrow {
  display: inline-block;
  transition: transform 0.2s;
  font-weight: bold;
}
.article-row:hover .arrow {
  color: #ffffff;
}

table.dataTable {
  width: 100%;
}
.results-section-container,
.dataTables_wrapper {
  min-width: 100%;
}
.main-content {
    display: flex;
  justify-content: center;
}

.main-layout{
  border-bottom: 1px solid #d6d6d6;
}

#top-loader {
  position: fixed;
  top: 0;
  left: 0;
  height: 3px;
  width: 0%;
  background-color: #36c;
  z-index: 9999;
  transition: width 0.3s ease;
}

.article-button:hover, #reset-btn:hover, .filter-toggle-all:hover  {
  background-color: #163e94;
  color: rgb(255, 255, 255);
}

.article-input-wide {
    width: 100%;
}

.textarea-row {
    display: flex;
    align-items: end;
    gap: 20px;
}

#titles {
    width: 100%;
    height: 17px;
    padding: 11px;
    border-radius: 4px;
    border: 1px solid #d6d6d6;
    outline: none;
    overflow: hidden;
}

#category-input {
    border: 1px solid #d6d6d6;
    padding: 11px 0 11px 11px;
    border-radius: 4px;
}

#category-limit {
    border: 1px solid #d6d6d6;
    padding: 11px 0 11px 11px;
    border-radius: 4px;
}

@media (max-width: 768px) {
  .toggle-navs {
    flex-direction: column;
    display: none;
    background-color: #fff;
    border-top: 1px solid #ddd;
    padding: 0;
    position: absolute;
    top: 52px;
    right: 0;
  }
  .toggle-navs div:hover {
    border-radius: 0;
  }

  .toggle-navs.active {
    display: flex;
  }

  .toggle-navs div {
    padding: 12px 12px;
    width: 200px;
    border-bottom: 1px solid #d6d6d6;
  }

  nav {
    padding: 8px 20px;
  }
  .mobile-menu {
    display: flex;
  }
  #button-page-1, #button-page-2 {
    font-size: 9px;
    padding: 9px 1px;
    outline: none;
  }
  .title {
    font-size: 20px;
  }
  .subtitle {
    font-size: 11px;
  }
  td {
    padding: 2px 3px;
    font-size: 12px;
    text-align: left;
}

th {
  padding: 4px 2px;
  text-align: left;
  background-color: #f8f8f8;
   font-size: 12px;
}
.article-input label {
  font-size: 11px;
}

.action-button {
font-size: 10px;
 background: none;
 color: #255eda;
 text-decoration: underline;
 padding: 5px 0;
 text-align: left;
}
.action-button-container {
  display: flex;
  flex-direction: column;
  background-color: none;
}
.action-button:hover {
 background:none;
 color: #255eda;
}

.filter-btn {
  padding: 5px;
}

.content-row {
  margin: 0;

}
.main-content {
    display: flex;
  justify-content: center;
}
.results-section {
  padding: 20px;
}
.results-section-container {
  width: 100%;
  overflow-x: auto;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
}
.filters-container{
  gap: 10px;
  padding: 15px 20px;
}

}
